Bug 1176808 - Review Request: nodejs-through2 - A tiny wrapper around Node streams2 Transform to avoid explicit subclassing noise
Summary: Review Request: nodejs-through2 - A tiny wrapper around Node streams2 Transfo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1176881 1177463
Blocks: nodejs-reviews 1176811
TreeView+ depends on / blocked
 
Reported: 2014-12-23 10:38 UTC by Parag Nemade
Modified: 2015-01-26 20:13 UTC (History)
2 users (show)

Fixed In Version: nodejs-through2-0.6.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-31 04:53:44 UTC
piotr1212: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-23 10:38:57 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-through2.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-through2-0.6.3-1.fc21.src.rpm
Description: 
A tiny wrapper around Node streams2 Transform to avoid explicit subclassing noise

Fedora Account System Username: pnemade

Comment 1 Piotr Popieluch 2014-12-27 16:30:09 UTC
- Summary/Description is too long, please make it shorter.
- Source0 is different in spec and srpm, please update spec or rebuild srpm

Comment 2 Parag Nemade 2014-12-27 17:33:45 UTC
Updated please check again.

Comment 3 Piotr Popieluch 2014-12-27 17:48:30 UTC
Build fails due to missing deps for tests, could you disable the tests?

DEBUG util.py:366:  Getting requirements for nodejs-through2-0.6.3-1.fc22.src
DEBUG util.py:366:   --> nodejs-packaging-7-2.fc21.noarch
DEBUG util.py:366:   --> nodejs-bl-0.9.3-1.fc22.noarch
DEBUG util.py:366:   --> nodejs-tap-0.4.4-3.fc22.noarch
DEBUG util.py:366:   --> nodejs-xtend-4.0.0-2.fc22.noarch
DEBUG util.py:366:  Error: No Package found for npm(stream-spigot)
DEBUG util.py:476:  Child return code was: 1
DEBUG util.py:161:  kill orphans
DEBUG util.py:495:  child environment: None

Comment 4 Piotr Popieluch 2014-12-27 20:11:01 UTC
Mock build fails. Tests need BR: npm(tape), could you please add this?

Comment 5 Parag Nemade 2014-12-28 01:58:07 UTC
I have already submitted nodejs-streaam-spigot for package review. See https://bugzilla.redhat.com/show_bug.cgi?id=1177463

BR: npm(tape) added please check again.

Comment 6 Piotr Popieluch 2014-12-28 11:50:49 UTC
It seems that the license is MITNFA not MIT. Could you please correct that?

Comment 7 Piotr Popieluch 2014-12-28 11:57:26 UTC
Everything except the license looks good.

Will APPROVE this but please correct the license before pushing to scm.


ISSUE:
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1176808-nodejs-
     through2/licensecheck.txt
License should be MITNFA:
https://fedoraproject.org/wiki/Licensing/MITNFA




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1176808-nodejs-
     through2/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-through2-0.6.3-1.fc22.noarch.rpm
          nodejs-through2-0.6.3-1.fc22.src.rpm
nodejs-through2.noarch: W: spelling-error Summary(en_US) subclassing -> sub classing, sub-classing, subclass
nodejs-through2.noarch: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
nodejs-through2.noarch: W: only-non-binary-in-usr-lib
nodejs-through2.noarch: W: dangling-symlink /usr/lib/node_modules/through2/node_modules/xtend /usr/lib/node_modules/xtend
nodejs-through2.noarch: W: dangling-symlink /usr/lib/node_modules/through2/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-through2.src: W: spelling-error Summary(en_US) subclassing -> sub classing, sub-classing, subclass
nodejs-through2.src: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-through2
nodejs-through2.noarch: W: spelling-error Summary(en_US) subclassing -> sub classing, sub-classing, subclass
nodejs-through2.noarch: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
nodejs-through2.noarch: W: invalid-url URL: https://github.com/rvagg/through2 <urlopen error [Errno -3] Temporary failure in name resolution>
nodejs-through2.noarch: W: only-non-binary-in-usr-lib
nodejs-through2.noarch: W: dangling-symlink /usr/lib/node_modules/through2/node_modules/xtend /usr/lib/node_modules/xtend
nodejs-through2.noarch: W: dangling-symlink /usr/lib/node_modules/through2/node_modules/readable-stream /usr/lib/node_modules/readable-stream
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-through2 (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(readable-stream)
    npm(xtend)



Provides
--------
nodejs-through2:
    nodejs-through2
    npm(through2)



Source checksums
----------------
https://github.com/rvagg/through2/archive/v0.6.3.tar.gz :
  CHECKSUM(SHA256) this package     : 334ac85f7e1d5738ff6fcf72ec7e9d9a6d33562d5b3b30f5263a783f9b466ec7
  CHECKSUM(SHA256) upstream package : 334ac85f7e1d5738ff6fcf72ec7e9d9a6d33562d5b3b30f5263a783f9b466ec7


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1176808
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 Parag Nemade 2014-12-28 12:26:37 UTC
Hey Piotr, Nice catch for license tag.
Fixed in same srpm. Thank you for this review.

New Package SCM Request
=======================
Package Name: nodejs-through2
Short Description: Node streams2 Transform wrapper to avoid explicit subclassing noise
Upstream URL: https://github.com/rvagg/through2
Owners: pnemade
Branches: f20 f21 el6 epel7
InitialCC:

Comment 9 Kevin Fenzi 2014-12-29 16:58:46 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-12-30 06:28:50 UTC
nodejs-through2-0.6.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-through2-0.6.3-1.el7

Comment 11 Fedora Update System 2014-12-30 06:44:35 UTC
nodejs-through2-0.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-through2-0.6.3-1.fc20

Comment 12 Fedora Update System 2014-12-30 06:47:23 UTC
nodejs-through2-0.6.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-through2-0.6.3-1.fc21

Comment 13 Fedora Update System 2014-12-30 06:50:57 UTC
nodejs-through2-0.6.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-through2-0.6.3-1.el6

Comment 14 Parag Nemade 2014-12-31 04:53:44 UTC
Built in rawhide.

Comment 15 Fedora Update System 2015-01-07 23:53:54 UTC
nodejs-through2-0.6.3-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2015-01-08 23:31:32 UTC
nodejs-through2-0.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2015-01-15 17:43:34 UTC
nodejs-through2-0.6.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 18 Fedora Update System 2015-01-26 20:13:23 UTC
nodejs-through2-0.6.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.